Bug 236648 - [patch] net/onedrive make OPTIONS really work
Summary: [patch] net/onedrive make OPTIONS really work
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-19 23:01 UTC by Hiroo Ono
Modified: 2019-04-22 08:14 UTC (History)
2 users (show)

See Also:
meta: maintainer-feedback? (hiroo.ono+freebsd)


Attachments
correct the port's Makefile. (843 bytes, patch)
2019-03-19 23:01 UTC, Hiroo Ono
no flags Details | Diff
net/onedrive/Makefile update. (911 bytes, patch)
2019-04-16 20:45 UTC, Hiroo Ono
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hiroo Ono 2019-03-19 23:01:18 UTC
Created attachment 202990 [details]
correct the port's Makefile.

I did test building it on i386.
I found that:
* OPTIONS did not take effect (always depended on lang/ldc).
* It cannot be built with dmd1.

The patch corrects above problems. Tested with pourdriere on stable/12 i386 and amd64.
I should have done that before submitting the port. Sorry.
Effectively, neither dmd2 nor ldc builds on i386 (and non-x86), the fact that only amd64 version may be used do not change.
Comment 1 Koichiro Iwao freebsd_committer 2019-04-16 07:16:49 UTC
lang/dmd2 is deprecated and will be expired in May. Please do not depend on the port.
Comment 2 Koichiro Iwao freebsd_committer 2019-04-16 07:19:37 UTC
Please don't forget bump PORTREVISION when you make changes on dependency.
Comment 3 Hiroo Ono 2019-04-16 20:45:55 UTC
Created attachment 203724 [details]
net/onedrive/Makefile update.

Thank you for your comment. I updated the patch.

- Removed options and changed to depend only on lang/ldc.
- Bumped PORTREVISON to 1.

Do I need to add NOT_FOR_ARCHS? Due to lang/ldc building only on amd64, this port is also limited to amd64.
Comment 4 commit-hook freebsd_committer 2019-04-22 08:05:31 UTC
A commit references this bug:

Author: meta
Date: Mon Apr 22 08:04:53 UTC 2019
New revision: 499611
URL: https://svnweb.freebsd.org/changeset/ports/499611

Log:
  net/onedrive: remove dependency on deprecated port

  lang/dmd2 is marked DEPRECATED. Remove dependency on that.

  PR:		236648
  Submitted by:	Hiroo Ono <hiroo.ono+freebsd@gmail.com> (maintainer)

Changes:
  head/net/onedrive/Makefile
Comment 5 Koichiro Iwao freebsd_committer 2019-04-22 08:14:46 UTC
Committed, thanks! Probably it would be nice to declare ONLY_FOR_ARCHS or NOT_FOR_ARCHS.